Search documentation of wx

# View Source wxGridCellFloatRenderer (wx v2.4.2)

Functions for wxGridCellFloatRenderer class

This class may be used to format floating point data in a cell.

See: `wxGridCellRenderer`, `wxGridCellAutoWrapStringRenderer` (not implemented in wx), `wxGridCellBoolRenderer`, `wxGridCellDateTimeRenderer` (not implemented in wx), `wxGridCellEnumRenderer` (not implemented in wx), `wxGridCellNumberRenderer`, `wxGridCellStringRenderer`

This class is derived (and can use functions) from: `wxGridCellStringRenderer` `wxGridCellRenderer`

wxWidgets docs: wxGridCellFloatRenderer

# Summary

## Types

wxGridCellFloatRenderer()

## Functions

destroy(This)

Destroys the object.

getPrecision(This)

Returns the precision.

getWidth(This)

Returns the width.

new()
new(Options)

Float cell renderer ctor.

setParameters(This, Params)

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)

setPrecision(This, Precision)

Sets the precision.

setWidth(This, Width)

Sets the width.

# Types

Link to this type

# wxGridCellFloatRenderer()

View Source

    -type wxGridCellFloatRenderer() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxGridCellFloatRenderer()) -> ok.

Destroys the object.

Link to this function

# getPrecision(This)

View Source

    -spec getPrecision(This) -> integer() when This :: wxGridCellFloatRenderer().

Returns the precision.

Link to this function

# getWidth(This)

View Source

    -spec getWidth(This) -> integer() when This :: wxGridCellFloatRenderer().

Returns the width.

Link to this function

# new()

View Source

    -spec new() -> wxGridCellFloatRenderer().

Link to this function

# new(Options)

View Source

    -spec new([Option]) -> wxGridCellFloatRenderer()
                 when Option :: {width, integer()} | {precision, integer()} | {format, integer()}.

Float cell renderer ctor.

Link to this function

# setParameters(This, Params)

View Source

    -spec setParameters(This, Params) -> ok
                           when This :: wxGridCellFloatRenderer(), Params :: unicode:chardata().

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)

Link to this function

# setPrecision(This, Precision)

View Source

    -spec setPrecision(This, Precision) -> ok when This :: wxGridCellFloatRenderer(), Precision :: integer().

Sets the precision.

Link to this function

# setWidth(This, Width)

View Source

    -spec setWidth(This, Width) -> ok when This :: wxGridCellFloatRenderer(), Width :: integer().

Sets the width.